import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IVariableClassType } from '../variable-class-type.model';
import { VariableClassTypeService } from '../service/variable-class-type.service';

@Component({
  standalone: true,
  templateUrl: './variable-class-type-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class VariableClassTypeDeleteDialogComponent {
  variableClassType?: IVariableClassType;

  protected variableClassTypeService = inject(VariableClassTypeService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.variableClassTypeService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
